<html lang="en">
<head>
<title>Signals - Enhanced Implementation of Emacs Interpreted Objects</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Enhanced Implementation of Emacs Interpreted Objects">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Introspection.html#Introspection" title="Introspection">
<link rel="next" href="Base-Classes.html#Base-Classes" title="Base Classes">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Signals"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Base-Classes.html#Base-Classes">Base Classes</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Introspection.html#Introspection">Introspection</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">11 Signals</h2>

<p>There are new signal types that can be caught when using eieio.

<div class="defun">
&mdash; Signal: <b>invalid-slot-name</b><var> obj-or-class slot<a name="index-invalid_002dslot_002dname-56"></a></var><br>
<blockquote><p>This signal is called when an attempt to reference a slot in an
<var>obj-or-class</var> is made, and the <var>slot</var> is not defined for
it. 
</p></blockquote></div>

<div class="defun">
&mdash; Signal: <b>no-method-definition</b><var> method arguments<a name="index-no_002dmethod_002ddefinition-57"></a></var><br>
<blockquote><p>This signal is called when <var>method</var> is called, with <var>arguments</var>
and nothing is resolved.  This occurs when <var>method</var> has been
defined, but the arguments make it impossible for eieio to determine
which method body to run.

        <p>Overload the method <code>no-method-definition</code> to protect against this
signal. 
</p></blockquote></div>

<div class="defun">
&mdash; Signal: <b>no-next-method</b><var> class arguments<a name="index-no_002dnext_002dmethod-58"></a></var><br>
<blockquote><p>This signal is called if the function <code>call-next-method</code> is called
and there is no next method to be called.

        <p>Overload the method <code>no-next-method</code> to protect against this signal. 
</p></blockquote></div>

<div class="defun">
&mdash; Signal: <b>invalid-slot-type</b><var> slot spec value<a name="index-invalid_002dslot_002dtype-59"></a></var><br>
<blockquote><p>This signal is called when an attempt to set <var>slot</var> is made, and
<var>var</var> doesn't match the specified type <var>spec</var>.

        <p>In EIEIO, this is also used of a slot specifier has an invalid value
during a <code>defclass</code>. 
</p></blockquote></div>

<div class="defun">
&mdash; Signal: <b>unbound-slot</b><var> object class slot<a name="index-unbound_002dslot-60"></a></var><br>
<blockquote><p>This signal is called when an attempt to reference <var>slot</var> in
<var>object</var> is made, and that instance is currently unbound. 
</p></blockquote></div>

   </body></html>

